USE [COWS]
GO
SET NOCOUNT ON
GO
ALTER TABLE dbo.LK_FSA_LINE_ITEM NOCHECK CONSTRAINT ALL 
GO
ALTER TABLE dbo.FSA_ORDR_CPE_LINE_ITEM NOCHECK CONSTRAINT ALL 
GO
IF EXISTS (SELECT 'x' FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME='FSA_ORDR_CPE_LINE_ITEM' and TABLE_SCHEMA='arch')
BEGIN
	ALTER TABLE arch.FSA_ORDR_CPE_LINE_ITEM NOCHECK CONSTRAINT ALL
END
DELETE FROM dbo.LK_FSA_LINE_ITEM WITH (TABLOCKX)
GO
INSERT INTO dbo.LK_FSA_LINE_ITEM (LINE_ITEM_CD, LINE_ITEM_DES) VALUES ('CPE', 'CPE Line Item')
INSERT INTO dbo.LK_FSA_LINE_ITEM (LINE_ITEM_CD, LINE_ITEM_DES) VALUES ('DCL', 'Disconnect CPE Line Item')
INSERT INTO dbo.LK_FSA_LINE_ITEM (LINE_ITEM_CD, LINE_ITEM_DES) VALUES ('MDS', 'MDS Line Item')
INSERT INTO dbo.LK_FSA_LINE_ITEM (LINE_ITEM_CD, LINE_ITEM_DES) VALUES ('DML', 'Disconnect MDS Line Item')
INSERT INTO dbo.LK_FSA_LINE_ITEM (LINE_ITEM_CD, LINE_ITEM_DES) VALUES ('VAS', 'VAS Line Item')
INSERT INTO dbo.LK_FSA_LINE_ITEM (LINE_ITEM_CD, LINE_ITEM_DES) VALUES ('DVL', 'Disconnect VAS Line Item')
INSERT INTO dbo.LK_FSA_LINE_ITEM (LINE_ITEM_CD, LINE_ITEM_DES) VALUES ('DSC', 'Disconnect Line Item')
INSERT INTO dbo.LK_FSA_LINE_ITEM (LINE_ITEM_CD, LINE_ITEM_DES) VALUES ('ACS', 'Access Line Item')
INSERT INTO dbo.LK_FSA_LINE_ITEM (LINE_ITEM_CD, LINE_ITEM_DES) VALUES ('PRT', 'Port Line Item')
GO
ALTER TABLE dbo.LK_FSA_LINE_ITEM CHECK CONSTRAINT ALL 
GO
ALTER TABLE dbo.FSA_ORDR_CPE_LINE_ITEM CHECK CONSTRAINT ALL 
GO
IF EXISTS (SELECT 'x' FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME='FSA_ORDR_CPE_LINE_ITEM' and TABLE_SCHEMA='arch')
BEGIN
	ALTER TABLE arch.FSA_ORDR_CPE_LINE_ITEM CHECK CONSTRAINT ALL 
END